Overview

Intelligent API

The Intelligent API provides a unique set of endpoints that a caller can use to perform the following functions:

  • Optical Character Recognition on images and documents, including specific functionality to cater for reading identity documentation and expense (receipts / invoices) information.
  • Language functions such as detecting the language of a body of text or translating between 75 different languages
  • The ability to identify and redact Personally Identifiable Information from bodies of text
  • The ability to detect the overall sentiment and summarize bodies of text

Some useful links:


Endpoint:https://api.intelligent-api.com/v1
Authentication

Authentication for the API

Request a token

POST
https://api.intelligent-api.com/v1
/token

Request an access token when using OAuth Credentials authentication

Request Body

  • client_idstring

    The client_id generated from the dashboard.

  • client_secretstring

    The client_secret generated from the dashboard.

  • grant_typestring

    The grant type which will always be client_credentials.

  • scopestring

    The list of scopes the token should be generated for separated by a space.

Responses

    • access_tokenstring

      The access_token to be used as the Bearer token when making subsequent API requests.

    • token_typestring

      The type of token that was generated.

    • expires_ininteger

      The amount of time in seconds in which the token expires.

    • scopestring

      The list of scopes the token is valid for separated by a space.

Get the list of scopes

GET
https://api.intelligent-api.com/v1
/scopes

Get the list of scopes the API currently has available

Responses

    • scopesstring

      The space separated list of scopes.

Document-OCR

Document Optical Character Recognition (OCR)

Extract expenses

POST
https://api.intelligent-api.com/v1
/document/expenses

This endpoint allows the caller to POST an image or document that contains expense data such as a receipt or invoice and the endpoint will return a summary of the details as well as a list of items and their prices.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • binaryDatastring

    This must be the binary data of the file, for examples on how to post this data to the endpoint please see the Code Examples or try it out in the Playground.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • receiptsobject[]

      The list of receipts extracted from the document.

Extract identity

POST
https://api.intelligent-api.com/v1
/document/identity

This endpoint allows the caller to POST an image or document that contains identity data such as a passport or drivers license and the endpoint will return the identity details of the person.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • binaryDatastring

    This must be the binary data of the file, for examples on how to post this data to the endpoint please see the Code Examples or try it out in the Playground.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • identityEntitiesobject[]

      The list of fields extracted

Extract identity field names

GET
https://api.intelligent-api.com/v1
/document/identity/fieldnames

Returns the list of possible field names that are returned from the /v1/document/identity endpoint.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Responses

    string[]

    The list of possible field names.

Extract text

POST
https://api.intelligent-api.com/v1
/document/text

This endpoint allows the caller to POST an image or document that contains any text and the endpoint will return the detected text.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • binaryDatastring

    This must be the binary data of the file, for examples on how to post this data to the endpoint please see the Code Examples or try it out in the Playground.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • detectedTextstring

      All of the detected text.

    • detectedLinesstring[]

      An array of each line of detected text.

Extract text and summarize

POST
https://api.intelligent-api.com/v1
/document/text/summarize

This endpoint allows the caller to POST an image or document that contains any text and the endpoint will detect the text and then return a summary of the detected text.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

Responses

    • costCalculationsobject[]

      A list of the cost calculations involved in completing the request.

    • summaryPointsstring[]

      A list of summary points extracted from the text.

Language

Language

Get the list of supported languages

GET
https://api.intelligent-api.com/v1
/language/translate/supportedlanguages

Returns the list of supported languages for the language endpoints.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Responses

    object[]
    • codestring

      The language code.

    • languagestring

      The language name.

Detect the languages in the text.

POST
https://api.intelligent-api.com/v1
/language/detect

This endpoint allows the caller to POST a body of text containing one or more languages and the endpoint will return the list of languages detected as well as the score indicating the prevalence of the language.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • languagesobject[]

      The list of languages detected in the body of text.

Translate text from one language to another.

POST
https://api.intelligent-api.com/v1
/language/translate

This endpoint allows the caller to POST a body of text specifying the source and target language and the endpoint will return the text in the target language requested.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text.

  • sourceLanguagestring

    The source language code, use auto if the source is unknown.

  • targetLanguagestring

    The target language code.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • textstring

      The translated text.

    • sourceLanguagestring

      The source language code.

    • targetLanguagestring

      The target language code.

Media

Media

List items in image

POST
https://api.intelligent-api.com/v1
/image/list

This endpoint allows the caller to POST an image and the endpoint will return a list of items detected within the image.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • binaryDatastring

    This must be the binary data of the file, for examples on how to post this data to the endpoint please see the Code Examples or try it out in the Playground.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • itemsstring[]

      The list of items detected in the image.

Image calorie count

POST
https://api.intelligent-api.com/v1
/image/calories

This endpoint allows the caller to POST an image and the endpoint will return a list of food and drink items and their calorie and macro counts found in the image.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • binaryDatastring

    This must be the binary data of the file, for examples on how to post this data to the endpoint please see the Code Examples or try it out in the Playground.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • calorieCounterResultobject

Text calorie count

POST
https://api.intelligent-api.com/v1
/text/calories

This endpoint allows the caller to POST a body of text containing food and drink items and the endpoint will return the list of items and their calorie and macro counts.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • calorieCounterResultobject

Classify text

POST
https://api.intelligent-api.com/v1
/text/classify

This endpoint allows the caller to POST a body of text and list of possible classifications and it will return back the classification of the text.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The text to classify.

  • classificationsstring[]

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • classificationstring

      The classification of the item.

Classify multiple text items

POST
https://api.intelligent-api.com/v1
/text/classify/multiple

This endpoint allows the caller to POST a list of text items and list of possible classifications and it will return back the classification of each item in the text list.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • itemsstring[]

    The list of text items to classify.

  • classificationsstring[]

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • itemsobject[]optional

      The list of items and their classifications.

Extract expenses from text

POST
https://api.intelligent-api.com/v1
/text/expenses

This endpoint allows the caller to POST a body of text containing expense data and an optional list of categories. The endpoint will return a list of items with their amounts and categories.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text containing expense data.

  • classificationsstring[]optional

    The list of categories to classify each expense item into.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • itemsobject[]

      The list of expense items extracted from the text.

Extract todo from text

POST
https://api.intelligent-api.com/v1
/text/todo

This endpoint allows the caller to POST a body of text along with the user's current date, day, and time and the endpoint will extract a todo item and suggest a reminder date and time.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text containing the todo item.

  • usersDatestringoptional

    The user's current date in DD/MM/YYYY format.

  • usersDaystringoptional

    The user's current day of the week.

  • usersTimestringoptional

    The user's current time.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • todoobject

Transcribe audio

POST
https://api.intelligent-api.com/v1
/speech/transcribe

Transcribe the audio and return the text.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • filestring

    The audio file to transcribe. Supported formats include OGG, MP3, WAV, FLAC, and M4A.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • speechstring

      The transcribed text from the audio file.

Extract todo from audio

POST
https://api.intelligent-api.com/v1
/speech/todo

This endpoint allows the caller to POST an audio file along with the user's current date, day, and time as query parameters. The endpoint will transcribe the audio and extract a todo item with a suggested reminder date and time.

query Parameters

  • user_datestring

    The user's current date in DD/MM/YYYY format.

  • user_daystring

    The user's current day of the week.

  • user_timestring

    The user's current time.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • filestring

    The audio file to transcribe. Supported formats include OGG, MP3, WAV, FLAC, and M4A.

Responses

    • costCalculationsobject[]

      A list of the cost calculations involved in completing the request.

    • todoobject
    • speechstring

      The transcribed text from the audio file.

Calorie count from audio

POST
https://api.intelligent-api.com/v1
/speech/calories

This endpoint allows the caller to POST an audio file containing food and drink items. The endpoint will transcribe the audio and return a list of items with their calorie and macro counts.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • filestring

    The audio file to transcribe. Supported formats include OGG, MP3, WAV, FLAC, and M4A.

Responses

    • costCalculationsobject[]

      A list of the cost calculations involved in completing the request.

    • calorieCounterResultobject
    • speechstring

      The transcribed text from the audio file.

Extract expenses from audio

POST
https://api.intelligent-api.com/v1
/speech/expenses

This endpoint allows the caller to POST an audio file containing expense data and an optional comma-separated list of categories as a query parameter. The endpoint will transcribe the audio and return a list of items with their amounts and categories.

query Parameters

  • classificationsstring

    A comma-separated list of categories to classify each expense item into.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • filestring

    The audio file to transcribe. Supported formats include OGG, MP3, WAV, FLAC, and M4A.

Responses

    • costCalculationsobject[]

      A list of the cost calculations involved in completing the request.

    • itemsobject[]

      The list of expense items extracted from the audio.

    • speechstring

      The transcribed text from the audio file.

PII

Personally Identifiable Information (PII)

Get the list of supported languages

GET
https://api.intelligent-api.com/v1
/pii/supportedlanguages

Returns the list of supported languages for the Personally Identifiable Information (PII) endpoints.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Responses

    object[]
    • codestring

      The language code.

    • languagestring

      The language name.

Detect Personally Identifiable Information (PII)

POST
https://api.intelligent-api.com/v1
/pii/detect

This endpoint allows the caller to POST a body of text and the source language and the endpoint will then detect any Personally Identifiable Information (PII) within the text and return the locations of any possible Personally Identifiable Information (PII).

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text.

  • languagestring

    The source language code.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • entitiesobject[]

      The PII entities detected in the text.

Redact Personally Identifiable Information (PII)

POST
https://api.intelligent-api.com/v1
/pii/redact

This endpoint allows the caller to POST a body of text and the source language and the endpoint will then detect any Personally Identifiable Information (PII) within the text and return the text with any Personally Identifiable Information (PII) redacted.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text.

  • languagestring

    The source language code.

  • minimumScorenumberoptional

    The minimum score for which to redact the PII entities.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • textstring

      The text with the PII entities redacted.

Text

Text

Get the list of supported languages

GET
https://api.intelligent-api.com/v1
/text/sentiment/supportedlanguages

Returns the list of supported languages for the sentiment endpoints.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Responses

    object[]
    • codestring

      The language code.

    • languagestring

      The language name.

Detect text sentiment

POST
https://api.intelligent-api.com/v1
/text/sentiment

This endpoint allows the caller to POST a body of text and the source language and the endpoint will return the sentiment score of the text.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text.

  • languagestring

    The source language code.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • sentimentstring

      The overall sentiment of the text.

    • sentimentScoreobject

Summarize text

POST
https://api.intelligent-api.com/v1
/text/summarize

This endpoint allows the caller to POST a body of text and the endpoint will return a summary of the text.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • textstring

    The body of text.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • summaryPointsstring[]

      The list of summary points.

Web-Scraper

Web Scraper

Markdown web page

POST
https://api.intelligent-api.com/v1
/scraper/markdown

Extract and converts the contents of a web page to markdown.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • urlstring

    The url of the webpage.

  • proxystringoptional

    If required, the complete uri of the server to proxy the request through.

Responses

    • costCalculationobject

      The cost calculation for the endpoint invocation

    • markdownstringoptional

      The markdown of the web page.

Summarize web page

POST
https://api.intelligent-api.com/v1
/scraper/summarize

Extract and summarize the contents of a web page.

Headers

  • Authorizationrequiredstring

    Either Oauth Authentication using a Bearer token or Basic Authentication using a Basic api key.

  • X-Correlation-Idstring

    If you would like to correlate any API requests made with any errors that may be returned, pass in this header and the system will log the id with all requests internally.

  • User-Agentstring

    You can pass in the User Agent for any custom integration you build to identify the caller, for example if you are integrating your own different APIs you can set the user agent to identify which calls originate from which API.

Request Body

  • urlstring

    The url of the webpage.

  • proxystringoptional

    If required, the complete uri of the server to proxy the request through.

Responses

    • costCalculationsobject[]

      A list of the cost calculations involved in completing the request.

    • summaryPointsstring[]

      A list of summary points extracted from the web page.

System

System functions

Get the client balance

GET
https://api.intelligent-api.com/v1
/client/balance

Get the client balance

Headers

Responses

    • availableCreditsinteger

      The total number of available credits.

    • lowThresholdWarninginteger

      The current setting of the Low Balance Threshold warning, to change this please see Updating Low Balance Threshold

    • updatedAtstring

      The datestamp when the balance was last updated.